%global git_commit 356c10b
%global cluster wmeissner
%define pkg_version 0-g%{git_commit}
Name:          jnr-x86asm
Version:       1.0.0
Release:       %mkrel 1
Summary:       Pure java x86 and x86_64 assembler 
Group:         Development/Java
License:       MIT
Url:           http://github.com/%{cluster}/%{name}
Source0:       %{url}/tarball/%{version}/%{cluster}-%{name}-%{version}-%{pkg_version}.tar.gz
Patch0:        jnr-x86asm-1.0.0-pom_xml.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: junit4
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-surefire-provider-junit4
Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
A pure-java X86 and X86_64 assembler.
This is a pure-java port of asmjit
(http://code.google.com/p/asmjit/)

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      %{name} = %{version}-%{release}
Requires:      jpackage-utils

%description javadoc
Pure java x86 and x86_64 assembler.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{cluster}-%{name}-%{git_commit}
%patch0 -p0

for j in $(find lib -name "*.jar"); do
  mv $j $j.no
done
for j in $(find lib -name "*.class"); do
  rm -f $j
done

%build

mvn-rpmbuild install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/jnr-x86asm-%{version}.jar %{buildroot}%{_javadir}/

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}*; do
    ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml  %{buildroot}%{_mavenpomdir}/JPP-jnr-x86asm.pom

%add_maven_depmap JPP-jnr-x86asm.pom jnr-x86asm.jar

mkdir -p %{buildroot}%{_javadocdir}/jnr-x86asm-%{version}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/jnr-x86asm-%{version}
ln -s jnr-x86asm-%{version} %{buildroot}%{_javadocdir}/jnr-x86asm

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/jnr-x86asm-%{version}.jar
%{_javadir}/jnr-x86asm.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE README

%files javadoc
%{_javadocdir}/jnr-x86asm-%{version}
%{_javadocdir}/jnr-x86asm


%changelog
* Tue Aug 02 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 131308
- Fix use of maven macros
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package jnr-x86asm

